
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql利用binlog日志恢复数据库的例子 / iVAN</title>

    <meta name="description" content="mysql利用binlog日志恢复数据库的例子 binlog日志用于记录所有更新了数据或者已经潜在更新了数据的所有语句.语句以&quot;事件&quot;的形式保存,它描述数据更改.当我们因为某种原因导致数据库出现故障时,就可以利用binlog日志来挽回(前提是已经配置好了binlog),接下来我们来配置 一.开启mysql-binlog日志 在mysql配置文件my.cnf加上如下配置  代码如下 复制代码 [mysqld] log-bin=mysql-bin 重启mysql  代码如下 复制代码   service mysqld rest ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql利用binlog日志恢复数据库的例子</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>binlog日志用于记录所有更新了数据或者已经潜在更新了数据的所有语句。语句以“事件”的形式保存，它描述数据更改。当我们因为某种原因导致数据库出现故障时，就可以利用binlog日志来挽回（前提是已经配置好了binlog），接下来我们来配置<br />
一、开启mysql-binlog日志</p>
<p>在mysql配置文件my.cnf加上如下配置</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />[mysqld]<br />
log-bin=mysql-bin</p>
</td>
</tr>
</table>
<p>重启mysql</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
service mysqld restart</p>
</td>
</tr>
</table>
<p>二、备份数据库</p>
<p>1）先查看一下当前数据库情况</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />mysql&gt; select * from t1; +------+ | id | +------+ | 1 | | 2 | +------+ 2 rows in set (0.00 sec)</p>
<p> <br />
mysql&gt; select * from t1;<br />
+------+<br />
| id   |<br />
+------+<br />
|    1 |<br />
|    2 |<br />
+------+<br />
2 rows in set (0.00 sec)</p>
</td>
</tr>
</table>
<p>2）备份数据到/tmp/test.sql</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
[root@localhost ~]# whereis mysqldump<br />
mysqldump: /usr/bin/mysqldump /usr/share/man/man1/mysqldump.1.gz<br />
[root@localhost ~]# /usr/bin/mysqldump -uroot -p123456 test &gt; /tmp/test.sql</p>
</td>
</tr>
</table>
<p>三、这时模拟误操作（插入3条数据，删除数据库）</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />mysql&gt; insert into t1 values(3);<br />
Query OK, 1 row affected (0.00 sec)<br />
 <br />
mysql&gt; insert into t1 values(4);<br />
Query OK, 1 row affected (0.00 sec)<br />
 <br />
mysql&gt; insert into t1 values(5);<br />
Query OK, 1 row affected (0.00 sec)<br />
 <br />
mysql&gt; flush logs;#关闭当前的二进制日志文件并创建一个新文件，新的二进制日志文件的名字在当前的二进制文件的编号上加1。www.111cn.net<br />
Query OK, 0 rows affected (0.05 sec)</p>
<p> <br />
mysql&gt; show master status;<br />
+------------------+----------+--------------+------------------+<br />
| File             | Position | Binlog_Do_DB | Binlog_Ignore_DB |<br />
+------------------+----------+--------------+------------------+<br />
| mysql-bin.000002 |      106 |              |                  |<br />
+------------------+----------+--------------+------------------+<br />
1 row in set (0.01 sec)</p>
</td>
</tr>
</table>
<p>删除数据</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
mysql&gt; truncate t1;<br />
Query OK, 0 rows affected (0.00 sec)<br />
 <br />
mysql&gt; select * from t1;<br />
Empty set (0.01 sec)<br />
 <br />
mysql&gt; show tables;<br />
+----------------+<br />
| Tables_in_test |<br />
+----------------+<br />
| t1             |<br />
+----------------+<br />
1 row in set (0.00 sec)</td>
</tr>
</table>
<p>此时突然数据库损坏或者人为删除</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
mysql&gt; drop table t1;<br />
Query OK, 0 rows affected (0.00 sec)<br />
 <br />
mysql&gt; show tables;<br />
Empty set (0.00 sec)</td>
</tr>
</table>
<p>四、此时数据库已经被完全破坏</p>
<p>1）用已经备份的/tmp/test.sql来恢复数据</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
[root@localhost]# mysql -uroot -p123456 test &lt;/tmp/test.sql<br />
[root@localhost]# mysql -uroot -p123456 test</p>
<p> <br />
mysql&gt; show tables;<br />
+----------------+<br />
| Tables_in_test |<br />
+----------------+<br />
| t1             |<br />
+----------------+<br />
1 row in set (0.00 sec)<br />
 <br />
mysql&gt; select * from t1;<br />
+------+<br />
| id   |<br />
+------+<br />
|    1 |<br />
|    2 |<br />
+------+<br />
2 rows in set (0.00 sec)</p>
</td>
</tr>
</table>
<p>2）还有三条数据没有恢复，怎么办。只能用bin-log来恢复</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
[root@localhost]# /usr/bin/mysqlbinlog --no-defaults /var/lib/mysql/mysql-bin.000001 | more<br />
[root@localhost]# /usr/bin/mysqlbinlog --no-defaults /var/lib/mysql/mysql-bin.000001 | /usr/bin/mysql -uroot -p123456 test</p>
<p> <br />
mysql&gt; select * from t1;<br />
+------+<br />
| id   |<br />
+------+<br />
|    1 |<br />
|    2 |<br />
|    3 |<br />
|    4 |<br />
|    5 |<br />
+------+<br />
5 rows in set (0.00 sec)</p>
</td>
</tr>
</table>
<p>3）恢复成功</p>
<p>【总结】：mysql备份和bin-log日志</p>
<p>备份数据：</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
mysqldump -uroot -p123456 test -l -F '/tmp/test.sql'
</td>
</tr>
</table>
<p>-l:读锁（只能读取，不能更新）<br />
-F:即flush logs，可以重新生成新的日志文件，当然包括log-bin日志</p>
<p>查看binlog日志：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
mysql&gt;show master status</p>
</td>
</tr>
</table>
<p>导入之前备份数据：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
 <br />
mysql -uroot -p123456 test -v -f &lt;/tmp/test.sql
</td>
</tr>
</table>
<p>-v查看导入的详细信息<br />
-f是当中间遇到错误时，可以skip过去，继续执行下面的语句</p>
<p>恢复binlog-file二进制日志文件：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
mysqlbinlog --no-defaults binlog-file | mysql -uroot -p123456</p>
</td>
</tr>
</table>
<p>从某一(367)点开始恢复：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
mysqlbinlog --no-defaults --stop-position="367" mysql-bin.000001| mysql -uroot -p123456 test</p>
</td>
</tr>
</table>
<p>先查好那一点（用more来查看）</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> <br />
[root@localhost mysql]# /usr/bin/mysqlbinlog --no-defaults mysql-bin.000002 --start-position="794" --stop-position="1055" | more</p>
</td>
</tr>
</table>
<p>然后恢复：</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2"> <br />
[root@localhost mysql]# /usr/bin/mysqlbinlog --no-defaults mysql-bin.000002 --start-position="794" --stop-position="1055" | /usr/bin/mysql -uroot -p123456 test</td>
</tr>
</table>
<p>重置binlog日志</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
mysql&gt; reset master;<br />
Query OK, 0 rows affected (0.01 sec)<br />
 www.111cn.net<br />
mysql&gt; show master status;<br />
+------------------+----------+--------------+------------------+<br />
| File             | Position | Binlog_Do_DB | Binlog_Ignore_DB |<br />
+------------------+----------+--------------+------------------+<br />
| mysql-bin.000001 |      106 |              |                  |<br />
+------------------+----------+--------------+------------------+</td>
</tr>
</table>
<p>mysql&gt; flush logs;#关闭当前的二进制日志文件并创建一个新文件，新的二进制日志文件的名字在当前的二进制文件的编号上加1。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:49:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%a4%87%e4%bb%bd/" title="备份">备份</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql利用binlog日志恢复数据库的例子的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNYxQp.html" rel="bookmark">使用bin-log日志还原数据库的例子&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.查看是否启用了日志:show variables like 'log_bin'; 2.查看当前日志文件名:show master status; 3.查找当前有哪些二进制日志文件:   mysql&gt; show binary logs; 4.查看mysql日志:mysqlbinlog mysql-bin.000001mysqlbinlog mysql-bin.000006 &gt; /root/bbx.log 5.使用新的binlog日志:(更新数据库日志) 复制代码 代码如下: 方法一:[roo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7Z4Rp.html" rel="bookmark">mysql 利用binlog增量备份，还原实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql 利用binlog增量备份,还原实例 张映 发表于 2010-09-29 分类目录: mysql 一,什么是增量备份 增量备份,就是将新增加的数据进行备份.假如你一个数据库,有10G的数据,每天会增加10M的数据,数据库每天都要备份一次,这么多数据是不是都要备份呢?还是只要备份增加的数据呢,很显然,我只要备份增加的数据.这样减少服务器的负担. 二,启用binlog vi my.cnf log-bin=/var/lib/MySQL/mysql-bin.log,如果是这样的话log-bin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZmYAb.html" rel="bookmark">MySQL的binlog日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				binlog 基本认识 MySQL的二进制日志可以说是MySQL最重要的日志了,它记录了所有的DDL和DML(除了数据查询语句)语句,以事件形式记录,还包含语句所执行的消耗的时间,MySQL的二进制日志是事务安全型的. 一般来说开启二进制日志大概会有1%的性能损耗(参见MySQL官方中文手册 5.1.24版).二进制有两个最重要的使用场景: 其一:MySQL Replication在Master端开启binlog,Mster把它的二进制日志传递给slaves来达到master-slave数据一致			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm67e3z.html" rel="bookmark">mysql5&period;6 bin-log日志恢复数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目第一期上线后,后期的升级需要升级脚本,不能直接导入整个sql.所以这里开启mysql的bin-log,将所有执行的sql都记录到bin-log中. 我的系统是windows,mysql是社区版5.6 . 1. bin-log所在目录 mysql5.6安装完成后,其数据文件和log都保存在C:\Documentsand Settings\All Users\Application Data\MySQL\MySQL Server 5.6\data 这个目录下. 2. 确认bin-log日志是否开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boj9PBz.html" rel="bookmark">MySQL之Xtrabackup备份恢复数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Xtrabackup介绍 1.Xtrabackup是什么 Xtrabackup是一个对InnoDB做数据备份的工具,支持在线热备份(备份时不影响数据读写),是商业备份工具InnoDB Hotbackup的一个很好的替代品. Xtrabackup有两个主要的工具:xtrabackup.innobackupex xtrabackup只能备份InnoDB和XtraDB两种数据表,而不能备份MyISAM数据表.innobackupex是参考了InnoDB Hotbackup的innoback脚本修改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBqBab.html" rel="bookmark">SQL Server无日志恢复数据库&lpar;2种方法&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server是一个关系数据库管理系统,应用很广泛,在进行SQL Server数据库操作的过程中难免会出现误删或者别的原因引起的日志损坏,又由于SQL Server数据库中数据的重要性,出现了以上的故障之后就必须对数据库中数据进行恢复.下文就为大家介绍一种恢复数据库日志文件的方法. 解决方法一 1.新建一个同名的数据库 2.再停掉sql server(注意不要分离数据库) 3.用原数据库的数据文件覆盖掉这个新建的数据库 4.再重启sql server 5.此时打开企业管理器时会出现置疑,先			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN29odM.html" rel="bookmark">SQL Server无日志恢复数据库&lpar;2种方法&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server是一个关系数据库管理系统,应用很广泛,在进行SQL Server数据库操作的过程中难免会出现误删或者别的原因引起的日志损坏,又由于SQL Server数据库中数据的重要性,出现了以上的故障之后就必须对数据库中数据进行恢复.下文就为大家介绍一种恢复数据库日志文件的方法. 解决方法一 1.新建一个同名的数据库 2.再停掉sql server(注意不要分离数据库) 3.用原数据库的数据文件覆盖掉这个新建的数据库 4.再重启sql server 5.此时打开企业管理器时会出现置疑,先			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNY85p.html" rel="bookmark">mysql的binlog日志删除与限制大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现象:网站访问越来越慢,最后无法访问了,经过检查发现磁盘满了.仔细查询下来确认是由于mysql的binlog太多太大占用了空间. 分析过程及解决方案:通常出现这种问题都应该登录服务器检查磁盘.内存和进程使用的情况,通过top.df –h和free –m来检查,发现磁盘空间满了.再进一步通过du –sh对可以的目录进行检查,发现是mysql的binlog占用空间过大.清理binlog的方法如下: 1) 设置日志保留时长expire_logs_days自动删除 查看当前日志保存天数:  代码如下 复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQOG5z.html" rel="bookmark">mysql中bin-log日志操作命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查看日志是否开启 1).可以通过Mysql配置文件my.cnf来确认(Mysql默认开启二进制日志记录): # Replication Master Server (default) # binary logging is required for replication log-bin=mysql-bin 刷新日志 flush logs; 查看当前日志位置 show master status; 查看当前所有日志 show master logs; 清空所有的bin-log日志 reset m			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWqjzG.html" rel="bookmark" class="title">win7系统中IE出现故障该怎么解决</a>
					<div>
						  IE故障是每一位雨林木风win7旗舰版系统用户都会碰到的问题,不论是XP还是Win7和Win8系统,都不可避免会碰到.各种IE故障都会有相应的解决方法,比如说IE无法打开任何窗口,单击任何链接时无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL8gap.html" rel="bookmark" class="title">PHP学习笔记&colon;php二手交易市场系统</a>
					<div>
						本示例的数据库脚本 执行语句: source d:\test\2shou.sql;   CREATE DATABASE IF NOT EXISTS 2shou COLLATE 'gb2312_chin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd2ldb.html" rel="bookmark" class="title">基于VS&period;NET的自定项目模板研究</a>
					<div>
						模板|项目 摘 要 项目模板可以帮助开发人员快速重用已经成熟的技术方案,本文对如何在Visual Studio .NET中创建自定义项目模板做了研究,并给出了一种快速.简洁的方法. 关键词 VS.NE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM93g4z.html" rel="bookmark" class="title">站长必须站在利他之心的角度上做网站内容</a>
					<div>
						我看过很多网站都有很大的问题,那就是关于内容的问题.而这些问题是SEOer没有想到的,可能意识到了不过还是这样操作了而已.大家可能会问网站的内容会有什么问题?以我的眼光来看有两点,第一就是网站的内容过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjkP5M.html" rel="bookmark" class="title">刘金鸽：SEO的几个高压线站长们伤不起</a>
					<div>
						现在有好些站长或是公司的SEO工作者,老在论坛.博客等这上面留言或是发表文章,说自己的网站排名一直停留在第几页不动.即使是自己做了很多的努力网站的排名还是没有变化.每在都会很苦恼.我想这个有可能是因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6206NM.html" rel="bookmark" class="title">Exchange Server 2010故障问题</a>
					<div>
						最近帮朋友处理了一个问题,就是在打开Exchange Server 2010时,会提示&quot;初始化失败&quot;,如下图所示: 返回栏目页:http://www.bianceng.cnhttp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAy9vb.html" rel="bookmark" class="title">Android开发入门（十）基本控件 10&period;4 AutoCompleteTextView</a>
					<div>
						AutoCompleteTextView和EditText很相似,事实上,AutoCompleteTextView就是EditText的子类.使用 AutoCompleteTextView,当用户正在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yrerz.html" rel="bookmark" class="title">UVa 11827 Maximum GCD：gcd&amp;amp&semi;amp&semi;读入技巧</a>
					<div>
						11827 - Maximum GCD Time limit: 1.000 seconds http://uva.onlinejudge.org/index.php?option=com_online ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N8rWz.html" rel="bookmark" class="title">标准的网页一屏到底是多大？</a>
					<div>
						网站设计时,有一个最常用的指导性原则:页面长度原则上不超过3屏,宽度不超过1屏.这个原则明显是从用户的体验出发,特别是宽度不超过一屏,其最基本的表现是浏览器不出现横向滚动条,这几乎是目前的设计准则.那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6yY4b.html" rel="bookmark" class="title">PS新手教程&colon;用PS橡皮擦抠简单背景头发</a>
					<div>
						本PS教程主要介绍抠图的一些基本操作 原图 效果图 使用的工具: 打开原图,复制一层,用工具将大部份背景选中 添加蒙版.然后打开一张素材拖进来,放到副本层之下. 选择背景橡皮擦工具,设置如下: 设置前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaPVWz.html" rel="bookmark" class="title">如何安装MKVToolnix及调整语言为简体中文</a>
					<div>
						  1.点击安装包,选择OK进入下一步界面 2.选择你要安装的位置,根据需要可以改成任意盘符 3.点击Install按钮,进行安装 4.出现弹窗&quot;shoud a shortcut be pl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7XLXb.html" rel="bookmark" class="title">积跬步&amp;amp&semi;&num;183&semi;15年总</a>
					<div>
						一.引言前几天大家一起开头脑风暴,是以博客为主题的.期间,十期师傅说了一句很经典.也很贴切的一句话:&quot;不积跬步,无以至千里:不积小流,无以成江海.&quot;相信大家都很熟悉这句话,不错,正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjO86p.html" rel="bookmark" class="title">全球最受欢迎的计算机编程语言</a>
					<div>
						要是随便找个普通的苹果拥趸,让其列举一下苹果公司去年的重大公告,他很可能会从苹果手表Apple Watch和大屏幕iPhone为开始.而如果向苹果开发人员提出这个问题,他们几乎毫无例外地会提到Swif ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N1wAM.html" rel="bookmark" class="title">gradle-android studio 2&period;0 使用instant run后无法成功build</a>
					<div>
						问题描述 android studio 2.0 使用instant run后无法成功build 更新了android studio 2.0,然后更新了gradle使用instant run后,再重建工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwXjwp.html" rel="bookmark" class="title">翻译jquery官方的插件制作方法</a>
					<div>
						有时候你想重复使用同一个代码块,举例:你想写一方法,你可以用这个方法,选择做一系列的选择操作,所以你想创造一个插件. jquery怎么样工作:jquery对象方法(jquery Object Meth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwYw4M.html" rel="bookmark" class="title">正则获取字符串</a>
					<div>
						问题描述 原字符串:个人客户购买的起点金额为5万元,以1万元的整数倍递增.机构客户购买的起点金额为20万元,以1万元的整数倍递增.我想获取:个人5.机构20 解决方案 解决方案二:起码你要给几个才能找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zx75p.html" rel="bookmark" class="title">mybatis-当一个表的数据满足一个条件时改动另一张表的数据</a>
					<div>
						问题描述 当一个表的数据满足一个条件时改动另一张表的数据 现在有两张表,一张表里的列属性需要另一张表的数据达到某个要求时而改变, 请问各位大神这个业务逻辑该怎么写,麻烦懂得大神给个思路小弟用的是spr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeQEvb.html" rel="bookmark" class="title">《Android 应用案例开发大全（第二版）》&mdash;&mdash;2&period;7节线程相关类</a>
					<div>
						2.7 线程相关类 Android 应用案例开发大全(第二版) 上一节详细介绍了绘制相关类,使读者对本案例的开发有了进一步的理解,在这一节将对线程相关类的开发进行详细介绍.前面已经完成了对水族馆背景及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4nwnz.html" rel="bookmark" class="title">三星E7009手机有没有手电筒？手电筒在哪开启？</a>
					<div>
						三星手机E7000内置了手电筒功能了,只要我们开启之后就可以直接使用了.   1.我们先要到手机的桌面,然后用自己的双手指同时向屏幕中央合拢 具体操作如下图所示,如果一次不行可以多次试一下了.   2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rmj3p.html" rel="bookmark" class="title">XCache在Win2003 IIS6下的成功配置方法与疑难解答&lowbar;win服务器</a>
					<div>
						XCache是一种新的php缓存器,经过本人测试,在Windows下效果比同类软件强很多. 实际测试效果如下(非科学方法): 原网页平均执行时间: 0.13 秒 加速后网页平均执行时间: 0.03秒  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7oJ3z.html" rel="bookmark" class="title">关于在项目中集成EaseUI的大问题！！</a>
					<div>
						问题描述 自己的项目用到了MJ,SDWebImage等第三方,而给自己的项目集成EaseUI的时候也有同样的第三方,而且SD还是被重写过的EMSDWebImage,导致一系列报错问题.MJ的话我删掉自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R7Bqz.html" rel="bookmark" class="title">网络通信-同址双网如何实现跨网段访问？</a>
					<div>
						问题描述 同址双网如何实现跨网段访问? 有网络拓扑如下,请问如何实现跨网访问(不通过VPN,动态域名解析+DMZ)?可以增加设备 增加何种设备较好,应该如何设置? 以192.168.2.100 pin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE3omz.html" rel="bookmark" class="title">贵族投行是如何没落的</a>
					<div>
						近日市场传出中金公司将要赴港上市的消息,一时之间引起了热议.作为一家早就名声在外的贵族投行,中金公司曾以投行老大的身份居高临下多年.然而如今的种种迹象表明,该公司已经走下神坛,其一直引以为豪的王牌投行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn866rb.html" rel="bookmark" class="title">mysql5&period;5 master-slave&lpar;Replication&rpar;主从配置&lowbar;Mysql</a>
					<div>
						一主一从: Master: OS:centos release 5.6 DB:mysql 5.5.8 IP:192.168.1.2 Slave: OS:centos release 5.6 DB:my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NvW8p.html" rel="bookmark" class="title">js&plus;css实现tab菜单切换效果的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js+css实现tab菜单切换效果的方法.分享给大家供大家参考.具体实现方法如下: index.css如下: 复制代码 代码如下: * {      margin: 0px;       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEaKBp.html" rel="bookmark" class="title">5个书写JavaScript代码的坏习惯，看看你中枪了没？&lowbar;javascript技巧</a>
					<div>
						Javascript在互联网上名声很臭,但你又很难再找到一个像它这样如此动态.如此被广泛使用.如此根植于我们的生活中的另外一种语言.它的低学习门槛让很多人都称它为学前脚本语言,它另外一个让人嘲笑的东西 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qy77p.html" rel="bookmark" class="title">网络病毒数下降超50&percnt;  网络安全仍不能小觑</a>
					<div>
						网络病毒数下降超50%  网络安全仍不能小觑 有资料显示,2010年上半年互联网上新增病毒422万个,去年同期相比下降53.7%;新增挂马网站(以url计算)总数目为2666万个,比去年同期下降了90 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYBL6b.html" rel="bookmark" class="title">编程-关于内存条和固态硬盘（ssd）的问题</a>
					<div>
						问题描述 关于内存条和固态硬盘(ssd)的问题 我的电脑内存是4g的,显示可用3.78g,但平常啊,写程序的时候卡的要死,我应该加内存条还是加ssd了,求大神解答 解决方案 加内存条好,至少加到8G, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkOO0p.html" rel="bookmark" class="title">当servlet的名字和jsp的名字一样，会执行servlet，为什么呢？</a>
					<div>
						问题描述 当servlet的名字和jsp的名字一样,会执行servlet,为什么呢? 经过测试,当servlet的名字和jsp的名字一样的时候,会执行servlet,为什么呢. 比如:servlet的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdr2qz.html" rel="bookmark" class="title">台湾鸿海集团收购夏普电视厂</a>
					<div>
						据日本媒体报道,12月1日日本产经新闻社报出,夏普与台湾鸿海集团已经达成协议,夏普将以500-550亿日元的价格出售三家海外电视机厂,这三家工厂分别位于墨西哥.马来西亚.中国大陆南京.针对此报道,日前 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
